import { type AxiosResponse } from 'axios';
import { type TrackEventRequest, type ApiResponse, type SendEmailRequest } from './types';
declare class IterableEmailAPI {
    private readonly _baseApi;
    constructor({ apiKey }: {
        apiKey: string;
    });
    sendEmail: (body: SendEmailRequest) => Promise<AxiosResponse<ApiResponse>>;
}
declare class IterableEventsAPI {
    private readonly _baseApi;
    constructor({ apiKey }: {
        apiKey: string;
    });
    trackEvent: (body: TrackEventRequest) => Promise<AxiosResponse<ApiResponse>>;
}
export declare class IterableClient {
    readonly emailApi: IterableEmailAPI;
    readonly eventsApi: IterableEventsAPI;
    constructor({ apiKey }: {
        apiKey: string;
    });
}
export {};
